StreamReader.StreamDeserializer (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.streaming

## Class StreamReader.StreamDeserializer

- java.lang.Object
- - com.google.common.collect.UnmodifiableIterator<Unfiltered>
  - - org.apache.cassandra.streaming.StreamReader.StreamDeserializer

- All Implemented Interfaces:
    java.lang.AutoCloseable, java.util.Iterator<Unfiltered>, BaseRowIterator<Unfiltered>, UnfilteredRowIterator, CloseableIterator<Unfiltered>
  Enclosing class:
    StreamReader

      public static class StreamReader.StreamDeserializer
      extends com.google.common.collect.UnmodifiableIterator<Unfiltered>
      implements UnfilteredRowIterator

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BUFFER_FILE_PREFIX`
    `static java.lang.String` | `BUFFER_FILE_SUFFIX`
    `static int` | `INITIAL_MEM_BUFFER_SIZE`
    `static int` | `MAX_MEM_BUFFER_SIZE`
    `static int` | `MAX_SPILL_FILE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamDeserializer(CFMetaData metadata, java.io.InputStream in, Version version, SerializationHeader header, long totalSize, java.util.UUID sessionId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkForExceptions()`
    `void` | `cleanup()`
    `void` | `close()`
    `PartitionColumns` | `columns()` A subset of the columns for the (static and regular) rows returned by this iterator.
    `boolean` | `hasNext()`
    `boolean` | `isReverseOrder()` Whether or not the rows returned by this iterator are in reversed clustering order.
    `CFMetaData` | `metadata()` The metadata for the table this iterator on.
    `StreamReader.StreamDeserializer` | `newPartition()`
    `Unfiltered` | `next()`
    `DecoratedKey` | `partitionKey()` The partition key of the partition this in an iterator over.
    `DeletionTime` | `partitionLevelDeletion()` The partition level deletion for the partition this iterate over.
    `Row` | `staticRow()` The static part corresponding to this partition (this can be an empty row but cannot be `null`).
    `EncodingStats` | `stats()` Return "statistics" about what is returned by this iterator.

    - ### Methods inherited from class com.google.common.collect.UnmodifiableIterator

      `remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.db.rows.UnfilteredRowIterator

      `isEmpty`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, remove`

- - ### Field Detail

    - #### INITIAL_MEM_BUFFER_SIZE

          public static final int INITIAL_MEM_BUFFER_SIZE

    - #### MAX_MEM_BUFFER_SIZE

          public static final int MAX_MEM_BUFFER_SIZE

    - #### MAX_SPILL_FILE_SIZE

          public static final int MAX_SPILL_FILE_SIZE

    - #### BUFFER_FILE_PREFIX

          public static final java.lang.String BUFFER_FILE_PREFIX

      See Also:
        Constant Field Values

    - #### BUFFER_FILE_SUFFIX

          public static final java.lang.String BUFFER_FILE_SUFFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StreamDeserializer

          public StreamDeserializer(CFMetaData metadata,
                                    java.io.InputStream in,
                                    Version version,
                                    SerializationHeader header,
                                    long totalSize,
                                    java.util.UUID sessionId)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### newPartition

          public StreamReader.StreamDeserializer newPartition()
                                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### metadata

          public CFMetaData metadata()

      Description copied from interface: `BaseRowIterator`
      The metadata for the table this iterator on.
      Specified by:
        `metadata` in interface `BaseRowIterator<Unfiltered>`

    - #### columns

          public PartitionColumns columns()

      Description copied from interface: `BaseRowIterator`
      A subset of the columns for the (static and regular) rows returned by this iterator. Every row returned by this iterator must guarantee that it has only those columns.
      Specified by:
        `columns` in interface `BaseRowIterator<Unfiltered>`

    - #### isReverseOrder

          public boolean isReverseOrder()

      Description copied from interface: `BaseRowIterator`
      Whether or not the rows returned by this iterator are in reversed clustering order.
      Specified by:
        `isReverseOrder` in interface `BaseRowIterator<Unfiltered>`

    - #### partitionKey

          public DecoratedKey partitionKey()

      Description copied from interface: `BaseRowIterator`
      The partition key of the partition this in an iterator over.
      Specified by:
        `partitionKey` in interface `BaseRowIterator<Unfiltered>`

    - #### partitionLevelDeletion

          public DeletionTime partitionLevelDeletion()

      Description copied from interface: `UnfilteredRowIterator`
      The partition level deletion for the partition this iterate over.
      Specified by:
        `partitionLevelDeletion` in interface `UnfilteredRowIterator`

    - #### staticRow

          public Row staticRow()

      Description copied from interface: `BaseRowIterator`
      The static part corresponding to this partition (this can be an empty row but cannot be `null`).
      Specified by:
        `staticRow` in interface `BaseRowIterator<Unfiltered>`

    - #### stats

          public EncodingStats stats()

      Description copied from interface: `UnfilteredRowIterator`
      Return "statistics" about what is returned by this iterator. Those are used for performance reasons (for delta-encoding for instance) and code should not expect those to be exact.
      Specified by:
        `stats` in interface `UnfilteredRowIterator`

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<Unfiltered>`

    - #### next

          public Unfiltered next()

      Specified by:
        `next` in interface `java.util.Iterator<Unfiltered>`

    - #### checkForExceptions

          public void checkForExceptions()
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### close

          public void close()

      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in interface `CloseableIterator<Unfiltered>`

    - #### cleanup

          public void cleanup()

Copyright © 2018 The Apache Software Foundation